using UnityEngine;
using System.Collections;

public abstract class Interactable : MonoBehaviour
{
    public GameObject Beacon;

    public abstract System.Type StarterDialog { get; }

    private void Awake()
    {
        Beacon.SetActive(false);
    }

    public void SetCharacterRange(bool value)
    {
        Beacon.SetActive(value);
    }

    public void Interact()
    {
        DialogCaller.Instance.Call(StarterDialog, Enums.eDialogModes.NextOk);
    }
}
